Bug 1439938 - Encrypted password from Ansible Playbook service dialog needs to be decrypted
Summary: Encrypted password from Ansible Playbook service dialog needs to be decrypted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Shveta
URL:
Whiteboard: ansible:service
Depends On: 1438923
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 22:37 UTC by Satoe Imaishi
Modified: 2017-05-31 14:49 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1438923
Environment:
Last Closed: 2017-05-31 14:49:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-06 22:41:22 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/fee3b18e8d151ee2bd6dd9dd8eefa54614ac0cf7

commit fee3b18e8d151ee2bd6dd9dd8eefa54614ac0cf7
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Apr 6 10:19:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 6 18:37:49 2017 -0400

    Merge pull request #14636 from bzwei/playbook_password_decrypt
    
    Parse password field from dialog and decrypt before job launch
    (cherry picked from commit 9bb8653267137d5cf03c5d36aeea17e8c9236f75)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439938

 app/models/service_ansible_playbook.rb       | 17 ++++++++-------
 spec/models/service_ansible_playbook_spec.rb | 31 +++++++++++++++++-----------
 2 files changed, 29 insertions(+), 19 deletions(-)

Comment 3 Shveta 2017-04-20 23:05:30 UTC
Decrypted passwords are passed to playbook.
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 14:49:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.